0

Why is Google Gmail telling me they no longer support my version of safari when I already have the most current version, 5.1.7, for Windows 8? Then they point me to a Safari web page that has no download link. Am I missing something?

1

As shown on this Wikipedia page, Safari for Windows has not updated in over two years. There is much speculation as to why, but in terms of the Web, a browser that is over two years old is ancient.

Gmail likely requires features that are not available in Safari v5.1.7. Therefore you will need to use an alternate browser, such as Chrome or Firefox.

  • Or for that matter IE11. It is built into Windows 8 – Steve Chambers Oct 21 '14 at 21:08

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .